Mission and Overview
NVD is the U.S. government repository of standards based vulnerability management data. This data enables automation of vulnerability management, security measurement, and compliance (e.g. FISMA).
Resource Status
NVD contains:

Last updated: 7/28/2014 6:26:29 AM

CVE Publication rate: 19.67

Email List

NVD provides four mailing lists to the public. For information and subscription instructions please visit NVD Mailing Lists

Workload Index
Vulnerability Workload Index: 7.17
About Us
NVD is a product of the NIST Computer Security Division and is sponsored by the Department of Homeland Security's National Cyber Security Division. It supports the U.S. government multi-agency (OSD, DHS, NSA, DISA, and NIST) Information Security Automation Program. It is the U.S. government content repository for the Security Content Automation Protocol (SCAP).

National Cyber Awareness System

Vulnerability Summary for CVE-2013-1944

Original release date: 04/29/2013
Last revised: 11/30/2013
Source: US-CERT/NIST

Overview

The tailMatch function in cookie.c in cURL and libcurl before 7.30.0 does not properly match the path domain when sending cookies, which allows remote attackers to steal cookies via a matching suffix in the domain of a URL.

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score: 5.0 (MEDIUM) (AV:N/AC:L/Au:N/C:P/I:N/A:N) (legend)
Impact Subscore: 2.9
Exploitability Subscore: 10.0
CVSS Version 2 Metrics:
Access Vector: Network exploitable
Access Complexity: Low
Authentication: Not required to exploit
Impact Type: Allows unauthorized disclosure of information
Per http://www.ubuntu.com/usn/USN-1801-1/ "A security issue affects these releases of Ubuntu and its derivatives: Ubuntu 12.10 Ubuntu 12.04 LTS Ubuntu 11.10 Ubuntu 10.04 LTS Ubuntu 8.04 LTS"

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

External Source: APPLE
Name: APPLE-SA-2013-10-22-3
External Source: OSVDB
Name: 92316
External Source: SUSE
Name: openSUSE-SU-2013:0876
External Source: MISC
Name: https://bugzilla.redhat.com/show_bug.cgi?id=950577
External Source: REDHAT
Name: RHSA-2013:0771
External Source: DEBIAN
Name: DSA-2660
External Source: MISC
Name: https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0121
External Source: FEDORA
Name: FEDORA-2013-5598
External Source: SUSE
Name: openSUSE-SU-2013:0879
External Source: FEDORA
Name: FEDORA-2013-5618
External Source: CONFIRM
Name: http://curl.haxx.se/docs/adv_20130412.html
Type: Advisory
External Source: FEDORA
Name: FEDORA-2013-6766
External Source: FEDORA
Name: FEDORA-2013-7797
External Source: SECUNIA
Name: 53051
Type: Advisory
External Source: FEDORA
Name: FEDORA-2013-6780
External Source: UBUNTU
Name: USN-1801-1
External Source: SECUNIA
Name: 53097
Type: Advisory
External Source: MANDRIVA
Name: MDVSA-2013:151
External Source: CONFIRM
Name: https://github.com/bagder/curl/commit/2eb8dcf26cb37f09cffe26909a646e702dbcab66
External Source: SECUNIA
Name: 53044
Type: Advisory
External Source: FEDORA
Name: FEDORA-2013-7813
External Source: BID
Name: 59058

Vulnerable software and versions

Skip Navigation Links.
Collapse Configuration 1Configuration 1
Collapse OROR
* cpe:/a:haxx:curl:7.28.1
* cpe:/a:haxx:curl:7.28.0
* cpe:/a:haxx:curl:7.27.0
* cpe:/a:haxx:curl:7.26.0
* cpe:/a:haxx:curl:7.25.0
* cpe:/a:haxx:curl:7.24.0
* cpe:/a:haxx:curl:7.23.1
* cpe:/a:haxx:curl:7.23.0
* cpe:/a:haxx:curl:7.22.0
* cpe:/a:haxx:curl:7.21.7
* cpe:/a:haxx:curl:7.21.6
* cpe:/a:haxx:curl:7.21.5
* cpe:/a:haxx:curl:7.21.4
* cpe:/a:haxx:curl:7.21.3
* cpe:/a:haxx:curl:7.21.2
* cpe:/a:haxx:curl:7.21.1
* cpe:/a:haxx:curl:7.21.0
* cpe:/a:haxx:curl:7.20.1
* cpe:/a:haxx:curl:7.20.0
* cpe:/a:haxx:curl:7.19.7
* cpe:/a:haxx:curl:7.19.6
* cpe:/a:haxx:curl:7.19.5
* cpe:/a:haxx:curl:7.19.4
* cpe:/a:haxx:curl:7.19.3
* cpe:/a:haxx:curl:7.19.2
* cpe:/a:haxx:curl:7.19.1
* cpe:/a:haxx:curl:7.19.0
* cpe:/a:haxx:curl:7.18.2
* cpe:/a:haxx:curl:7.18.1
* cpe:/a:haxx:curl:7.18.0
* cpe:/a:haxx:curl:7.29.0 and previous versions
* cpe:/a:haxx:curl:7.17.1
* cpe:/a:haxx:curl:7.17.0
* cpe:/a:haxx:curl:7.16.4
* cpe:/a:haxx:curl:7.16.3
* cpe:/a:haxx:curl:7.16.2
* cpe:/a:haxx:curl:7.16.1
* cpe:/a:haxx:curl:7.16.0
* cpe:/a:haxx:curl:7.15.5
* cpe:/a:haxx:curl:7.15.4
* cpe:/a:haxx:curl:7.15.3
* cpe:/a:haxx:curl:7.15.2
* cpe:/a:haxx:curl:7.15.1
* cpe:/a:haxx:curl:7.15.0
* cpe:/a:haxx:curl:7.14.1
* cpe:/a:haxx:curl:7.14.0
* cpe:/a:haxx:curl:7.13.2
* cpe:/a:haxx:curl:7.13.1
* cpe:/a:haxx:curl:7.13.0
* cpe:/a:haxx:curl:7.12.3
* cpe:/a:haxx:curl:7.12.2
* cpe:/a:haxx:curl:7.12.1
* cpe:/a:haxx:curl:7.12.0
* cpe:/a:haxx:curl:7.11.2
* cpe:/a:haxx:curl:7.11.1
* cpe:/a:haxx:curl:7.11.0
* cpe:/a:haxx:curl:7.10.8
* cpe:/a:haxx:curl:7.10.7
* cpe:/a:haxx:curl:7.10.6
* cpe:/a:haxx:curl:7.10.5
* cpe:/a:haxx:curl:7.10.4
* cpe:/a:haxx:curl:7.10.3
* cpe:/a:haxx:curl:7.10.2
* cpe:/a:haxx:curl:7.10.1
* cpe:/a:haxx:curl:7.10
* cpe:/a:haxx:curl:7.9.8
* cpe:/a:haxx:curl:7.9.7
* cpe:/a:haxx:curl:7.9.6
* cpe:/a:haxx:curl:7.9.5
* cpe:/a:haxx:curl:7.9.4
* cpe:/a:haxx:curl:7.9.3
* cpe:/a:haxx:curl:7.9.2
* cpe:/a:haxx:curl:7.9.1
* cpe:/a:haxx:curl:7.8.1
* cpe:/a:haxx:curl:7.9
* cpe:/a:haxx:curl:7.8
* cpe:/a:haxx:curl:7.7.3
* cpe:/a:haxx:curl:7.7.2
* cpe:/a:haxx:curl:7.7.1
* cpe:/a:haxx:curl:7.7
* cpe:/a:haxx:curl:7.6.1
* cpe:/a:haxx:curl:7.6
* cpe:/a:haxx:curl:7.5.2
* cpe:/a:haxx:curl:7.5.1
* cpe:/a:haxx:curl:7.4.2
* cpe:/a:haxx:curl:7.4.1
* cpe:/a:haxx:curl:7.4
* cpe:/a:haxx:curl:7.3
* cpe:/a:haxx:curl:7.2.1
* cpe:/a:haxx:curl:7.2
* cpe:/a:haxx:curl:7.1.1
* cpe:/a:haxx:curl:7.1
* cpe:/a:haxx:curl:6.5.2
* cpe:/a:haxx:curl:6.5.1
* cpe:/a:haxx:curl:6.5
* cpe:/a:haxx:curl:6.4
* cpe:/a:haxx:curl:6.3.1
* cpe:/a:haxx:curl:6.3
* cpe:/a:haxx:curl:6.2
* cpe:/a:haxx:curl:6.1
* cpe:/a:haxx:curl:6.1:beta
* cpe:/a:haxx:curl:6.0
Collapse Configuration 2Configuration 2
Collapse OROR
* cpe:/a:haxx:libcurl:7.14.0
* cpe:/a:haxx:libcurl:7.14.1
* cpe:/a:haxx:libcurl:7.15.0
* cpe:/a:haxx:libcurl:7.15.1
* cpe:/a:haxx:libcurl:7.15.2
* cpe:/a:haxx:libcurl:7.15.3
* cpe:/a:haxx:libcurl:7.15.4
* cpe:/a:haxx:libcurl:7.15.5
* cpe:/a:haxx:libcurl:7.16.0
* cpe:/a:haxx:libcurl:7.16.2
* cpe:/a:haxx:libcurl:7.16.3
* cpe:/a:haxx:libcurl:7.16.4
* cpe:/a:haxx:libcurl:7.17.0
* cpe:/a:haxx:libcurl:7.17.1
* cpe:/a:haxx:libcurl:7.18.0
* cpe:/a:haxx:libcurl:7.19.3
* cpe:/a:haxx:libcurl:7.29.0 and previous versions
* cpe:/a:haxx:libcurl:7.28.1
* cpe:/a:haxx:libcurl:7.18.2
* cpe:/a:haxx:libcurl:7.28.0
* cpe:/a:haxx:libcurl:7.20.0
* cpe:/a:haxx:libcurl:7.21.2
* cpe:/a:haxx:libcurl:7.23.0
* cpe:/a:haxx:libcurl:7.22.0
Collapse Configuration 3Configuration 3
Collapse OROR
* cpe:/o:canonical:ubuntu_linux:12.10
* cpe:/o:canonical:ubuntu_linux:12.04:-:lts
* cpe:/o:canonical:ubuntu_linux:11.10
* cpe:/o:canonical:ubuntu_linux:10.04:-:lts
* cpe:/o:canonical:ubuntu_linux:8.04:-:lts
* Denotes Vulnerable Software
Changes related to vulnerability configurations

Technical Details

Vulnerability Type (View All)
  • Information Leak / Disclosure (CWE-200)